﻿.headerDesktop .tag__teal-default:focus {
    background: #A9DCCF !important;
    outline: none;
}

.headerDesktop .locationName:focus {
    background: #fff !important;
    outline: none;
}

.headerDesktop .menu-item:focus,
.headerDesktop .contact-dropdown__trigger:focus {
    background: #fff !important;
    outline: none;
}

.headerDesktop .loginButton:focus {
    background: #0a6b6b !important;
    outline: none;
    transform: translateY(1px);
}

.headerDesktop .main-navbar .links li a:focus {
    background-color: #fff !important;
    border-radius: 12px;
    outline: none;
}
.headerDesktop .nav-icons a:focus .nav-icon-wrapper,
.headerDesktop .nav-icons a:focus > .nav-icon-wrapper {
    border-radius: 6px;
    background: #EBEBEC !important;
}
.headerDesktop .main-navbar #pbId:focus{

border-radius: 12px;
background: #FFF;
}



.headerDesktop .contact-link:focus {
    background: #D7D8D9 !important;
    outline: none;
}

.headerDesktop .cab-menu-h:focus {
    background: #E1E2E2 !important;
    outline: none;
}

.headerDesktop .dropdown-item:focus {
    border-radius: 6px;
    background: #E1E2E2 !important;
    outline: none;
}
.top-navbar {
    margin-block: 8px;
}
header.headerDesktop {
    width: 1234px;
    margin: 0 auto;
}
.top-navbar,
.main-navbar{
    display:flex;
    align-items:center;
    justify-content:space-between;
}
    .top-navbar .nav-icons{
        display:flex;
        align-items:center;
        justify-content:flex-end;
        flex-direction:row-reverse;
        gap:24px;
    }
        .top-navbar .nav-icons a.letsee--button{
            width:auto;
        }
.span.text-light label svg path {
    fill: #272728;
}
    .top-navbar div,
    .main-navbar div {
        display: flex;
        align-items: center;
        gap: 8px;
    }
.tag__teal-default {
    display: flex;
    padding: 6px 16px;
    align-items: center;
    gap: 8px;
    border-radius: 24px;
    border: 1.5px solid #0E7D7D;
    background: #E7F9F2;
    color: #006060;
    font-family: Ubuntu;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
    height:32px;
}
    .tag__teal-default:hover {
        background: var(--button-teal-secondary-bg-hover, #D4F1E8);
    }
    .tag__teal-default:active {
        background:  #A9DCCF;
    }
header.headerDesktop {
    position: sticky;

    padding: 0;
    border-radius: 0px 0px 20px 20px;
    z-index:10;
}
    header.headerDesktop.programmbank-index .main-navbar {
        border-radius: 20px;
        background:  #FFF;
        box-shadow: 0 1px 16px 0 rgba(0, 16, 39, 0.12);
    
    }
.menu-item {
    padding: 6px 16px;
}
a.menu-item:hover{
    background:#fff;
}
.locationName {
    color: var(--button-gray-ghost-text, #272728);
    text-align: center;
    display:flex;
    align-items:center;
    gap:4px;
    font-family: Ubuntu;
    font-size: var(--Body-md-size, 14px);
    font-style: normal;
    font-weight: 400;
    line-height:  20px;
        padding: 6px 16px;
        border-radius: 16px;
        background-color: transparent;
}
    .locationName:hover {
        background: #fff !important;
    }
    .locationName.active {
        background: #fff !important;
    }
        .locationName.active svg {
            transform: rotate(180deg);
        }
        .main-navbar {
            background: #fff;
            padding: 8px;
            border-radius: 20px;
        }
.main-navbar ul{
    display:flex;
    align-items:center;
    gap:8px;
    margin:0;

}
.main-navbar span{
    margin:0;
}
.loginButton {
    border-radius:12px;
    background: var(--button-teal-primary-bg-default, #0E7D7D);
    display: flex;
    height: 48px;
    padding: 6px 20px;
    align-items: center;
    gap: 8px;
    color: var(--button-teal-primary-text-default, #FFF);
    text-align: center;
    font-family:  Ubuntu-medium;
    font-size:  14px;
    font-style: normal;
    line-height: 20px; 
    border:none;
}
.main-navbar >div{
    gap:0;
}
.main-navbar .links li a {
    color: #272728;
    text-align: center;
    font-family: Ubuntu;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
    display: flex;
    padding: 8px 16px;
    align-items: center;
    gap:  8px;
    height:40px;
}
    .main-navbar .links li a.menu-active{
        font-family:Ubuntu-medium;
    }

.main-navbar .dropdown > a {
    color: #272728;
    text-align: center;
    font-family: Ubuntu-medium;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 22px;
    display: flex;
    padding: 8px 16px;
    align-items: center;
    gap: 8px;
    height: 40px;
}
.nav-icon-wrapper:hover {
    border-radius:  6px;
    background: #EBEBEC;
}
.nav-icon-wrapper svg{
    margin:4px;
}
.main-navbar .links li a:hover {
    cursor: pointer;
    background-color: #fff;
    border-radius: 12px;
}
.links {
    border-radius: 16px;
    background: #F5F5F5;
    display: flex;
    padding: 4px;
    align-items: center;
    gap:  8px;
    height:48px;
}
#dropdownMenu{
    height:488px;
    width: 208px;
}
.menu-active {
    border-radius: 12px;
    background: #FFF;
}
.top-navbar .locationName,
.top-navbar .menu-item {
    color:  #272728;
    text-align: center;
    font-family: Ubuntu;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    background:transparent;
    cursor:pointer;
    border:none;
    border-radius:16px;
}
.main-navbar .dropdown ,
.top-navbar .dropdown{
    position: relative;
}
.main-navbar ul.dropdown-menu-programs {
    position: absolute;
    top: 105%;
    left: 0;
    background: white;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: .375rem;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.175);
    display: none;
    z-index: 1000;
    min-width: 200px;
}
.main-navbar .dropdown:hover ul.dropdown-menu-programs {
    display: none;
    flex-direction: column;
    gap: 8px;
}
#pbId{
    cursor:pointer;
    font-family:Ubuntu;
}
    #pbId:hover {
        border-radius: 12px;
        background: #FFF;
    }
    #pbId.menu-active {
        font-family: Ubuntu-medium;
    }
.top-navbar .dropdown-container {
    position: relative;
    display: inline-block;
}

header.menu .menu-box .menu-item[title="Оставить обращение"], p.menu-label.menu-label--item.pb {
    white-space: normal;
    text-align: center;
}

.top-navbar  .icon-wrapper.rotated {
    transform: rotate(180deg);
}

.top-navbar .dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: white;
    border: 1px solid #e0e0e0;
    border-radius: 8px;
    margin-top: 4px;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.15);
    z-index: 1000;
    overflow: hidden;
    opacity: 0;
    transform: translateY(-10px);
    transition: all 0.2s ease;
    pointer-events: none;
    overflow-y: auto;
    width: 200px;
    padding: 8px 14px;
    max-height: max-content;
    border-radius: 16px;
    background: var(--bg-gray-primary, #FFF);
    /* shadow-l */
    box-shadow: rgba(0, 16, 39, 0.12);
}

    .top-navbar .dropdown-menu.show {
        opacity: 1;
        transform: translateY(5px) !important;
        pointer-events: all;
    }

.top-navbar .dropdown-item {
    cursor: pointer;
    transition: background-color 0.15s ease;
    border:none;
    display: flex;
    width: 182px;
    padding: 10px 2px;
    align-items: center;
    gap:  8px;
    flex-shrink: 0;
}

    .top-navbar .dropdown-item:last-child {
        border-bottom: none;
    }

    .top-navbar .dropdown-item:hover {
        border-radius: 6px;
        background: var(--button-gray-secondary-soft-bg-hover, #F5F5F5);
    }

    .top-navbar .dropdown-item.selected {
        border-radius: 6px;
        background:  #E1E2E2;
    }

    .top-navbar .dropdown-item.city {
        color: #272728;
        text-align: center;
        font-family: Ubuntu;
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: 140%; 
    }

    .top-navbar .dropdown-item.region {
        color: #666;
        font-size: 13px;
    }
div.clientName {
    display: flex;
    padding: 12px 16px 12px 20px !important;
    justify-content: flex-end;
    align-items: center;
    gap: 8px;
    align-self: stretch;
    border-radius: 12px;
    background: #0E7D7D;
    height:48px;
    gap:8px;

}
.top-navbar div.locationBlock{
    display:flex;
    align-items:center;
    gap:4px;
}

#ClientName {
    padding: 0;
    font-family: Ubuntu-medium;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    color: #fff !important;
    line-height: 140%;
}
.contact-dropdown{
    position:relative;
    display: inline-block;
 
}
.contact-dropdown__menu {
    position: absolute;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: #ffffff;
    border-radius: 16px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    margin-top: 4px;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-8px);
    transition: all 0.2s ease;
}
.contact-dropdown--open .contact-dropdown__menu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    z-index:100;
    width:fit-content;
}
.contact-dropdown.contact-dropdown--open {
    background: #fff;
    border-radius:16px;
}
.contact-dropdown__trigger {
    color: #272728;
    text-align: center;
    font-family: Ubuntu;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    background: transparent;
    cursor: pointer;
    border: none;
    padding: 6px 16px;
    border-radius: 16px;
}
div.contact-item{
    padding:10px 16px;
    gap:12px;
    min-width:300px;
}
div.contact-info {
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    border-radius: 12px;
    background: #F5F5F5;
}
.contact-label {
    color:  #838386;
    /* Body M */
    font-family: Ubuntu;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px; /* 142.857% */
    text-align: left;
    width: max-content;
}
div.contact-details{
    flex-direction:column;
    gap:2px;
    align-items:flex-start;
}
.contact-value {
    color:#272728;
    font-family:Ubuntu-medium;
    font-size: 16px;
    font-style: normal;
    line-height: 22px; /* 137.5% */
}
.contact-dropdown__trigger:hover {
    background: #fff;
}
.contact-links{
    display:flex;
    flex-direction:column;
    gap:8px;
}
.contact-link {
    width:300px;
    padding: 20px 16px;
    border-radius:  12px;
    background:  #F5F5F5;
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap: 8px;
    height:64px;
}

    .contact-link:hover {
     
        background: #EBEBEC;
    }
    .contact-link:active {
        background: #D7D8D9;
    }
    .contact-link span {
        flex: 1;
        color:#272728;
        font-family: Ubuntu;
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: 22px;
    }
.contact-dropdown__menu {
    padding: 16px;
}
div.cab-menu {
    flex-direction: column;
    align-items: flex-start;
    margin-left: 20px;
    padding: 20px;
    border-radius:  16px;
    background: #FFF;
    box-shadow: 0px 12px 24px 0px rgba(132, 146, 166, 0.16);
    min-width:220px;
}
div.cab-menu div.cab-prof{
    flex-direction:column;
    align-items:flex-start;
    padding:0;
    gap:2px;
}
    div.cab-menu div.cab-prof h3.cab-h {
        color: #272728;
        /* Accent S */
        font-family: Ubuntu-medium;
        font-size: 16px;
        font-style: normal;
        font-weight: 500;
        line-height: 22px 
    }
    div.cab-menu div.cab-prof h3.cab-p {
        font-size: 14px;
        color:  #838386;
        font-family:  Ubuntu;
        font-style: normal;
        font-weight: 400;
        line-height:  20px;
    }
        div.cab-menu .cab-menu-h {
            height: auto;
        }
    div.cab-menu .separator {
        background: #E1E2E2;
        width:100%;
        height:1px;
        border:none;
        margin: 0;
        
    }
    div.cab-menu::before {
        display: none;
    }
.main-navbar div.profile-links {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    gap:0;
}
div.cab-menu .cab-menu-h {
    height: auto;
    width: 100%;
    padding: 10px 0px;
    border-radius: 6px;
    border: none;
    display: flex;
    align-items: center;
    gap: 8px;
}
    div.cab-menu .cab-menu-h img{
        width:24px;
        height:24px;
    }

    .cab-menu--itemss {
        color: #272728;
        text-align: center;
        font-family: Ubuntu;
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 20px;
        margin:0;

    }
div.cab-menu .cab-menu-h:hover {
    cursor: pointer;

    background: #F5F5F5;
}
div.cab-menu .cab-menu-h:active {
    background:#E1E2E2;
}
@media (max-width:1200px) {
    .headerDesktop{
        display:none;
    }
}